%define snapshot_date 20150126

%define major 0
%define libname %mklibname thumbnailer %{major}
%define develname %mklibname thumbnailer -d

Name:		thumbnailer
Version:	1.3
Release:	%mkrel %{snapshot_date}.2
Summary:	Thumbnail generator for all kinds of files
Group:		Graphics
License:	LGPLv3
URL:		https://launchpad.net/thumbnailer
Source:		thumbnailer-%{snapshot_date}.tar.xz
BuildRequires:	cmake
BuildRequires:	gtest-devel
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
Requires:       glibc >= 2.20

%description
A simple shared library that produces and stores thumbnails of image,
audio and video files according to the Freedesktop thumbnail specification.

%package 	-n %{libname}
Summary:	A simple shared library that produces and stores thumbnails
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}thumbnailer1.1.0 < %{version}-%{release}

%description	-n %{libname}
A simple shared library that produces and stores thumbnails.

%package	-n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	-n %{develname}
Development files for %{name}.


%prep
%setup -q -n %{name}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build


%files
%doc COPYING
/etc/apport/blacklist.d/thumbnailer
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/com.canonical.Thumbnailer.service
%{_datadir}/glib-2.0/schemas/com.canonical.Unity.Thumbnailer.gschema.xml
%{_datadir}/%{name}
%{_qt5_prefix}/qml/Ubuntu/Thumbnailer.0.1


%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.*%{major}*

%files -n %{develname}
%doc COPYING
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Mon Aug 08 2016 bb <bb> 1.1-20150126.2.pclos2016
- fix rpmgroup

* Tue Jan 27 2015 pinoc <vogtpet at gmail.com> 1.1-20150126.1.pclos2015
- imported package thumbnailer

